List contacts
curl --request GET \
--url https://api.getreply.in/v1/contacts \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getreply.in/v1/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getreply.in/v1/contacts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}import requests
url = "https://api.getreply.in/v1/contacts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "<string>",
"phone": "<string>",
"country": "<string>",
"name": "<string>",
"whatsapp_name": "<string>",
"email": "<string>",
"company": "<string>",
"city": "<string>",
"fields": {},
"tags": [
"<string>"
],
"source": "<string>",
"opted_in": true,
"stopped_marketing": true,
"last_message_at": "<string>",
"created_at": "<string>"
}
],
"page": 123,
"per_page": 123,
"total": 123
}Contacts
List contacts
Your contacts, newest first.
Permission: Any key (Full, Send only or Read only).
GET
/
v1
/
contacts
List contacts
curl --request GET \
--url https://api.getreply.in/v1/contacts \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getreply.in/v1/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getreply.in/v1/contacts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}import requests
url = "https://api.getreply.in/v1/contacts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "<string>",
"phone": "<string>",
"country": "<string>",
"name": "<string>",
"whatsapp_name": "<string>",
"email": "<string>",
"company": "<string>",
"city": "<string>",
"fields": {},
"tags": [
"<string>"
],
"source": "<string>",
"opted_in": true,
"stopped_marketing": true,
"last_message_at": "<string>",
"created_at": "<string>"
}
],
"page": 123,
"per_page": 123,
"total": 123
}Authorizations
Your API key, e.g. gr_live_…
Query Parameters
Only contacts with this tag.
Page number, from 1.
Required range:
x >= 1How many on a page (at most 100).
Required range:
1 <= x <= 100